import Vue from 'vue'
import App from './App'
import store from './store'
import axios from "./utils/axios"
import utils from 'dvcp-wui/utils/util'
import config from './utils/config'
import vui from 'uview-ui'
import 'uview-ui/theme.scss'

Vue.use(vui)
Vue.config.productionTip = false
Vue.prototype.$instance = axios
Vue.prototype.$areaId = config.areaId;
Vue.prototype.$areaName = config.areaName;
Vue.prototype.$cdn = 'https://cdn.cunwuyun.cn/'
App.mpType = 'app'
Object.keys(utils).map(e => Vue.prototype[e] = utils[e])
utils.$dict.init(axios)

const app = new Vue({
  store,
  ...App
})
app.$mount()
